#ifndef CMWMANUALLOCATE_H
#define CMWMANUALLOCATE_H

#include "cmwidget.h"
#include <QTableWidgetItem>
#include <QIcon>
class CMWCamLight;
namespace Ui {
class CMWManualLocate;
}

class CMWManualLocate : public CMWidget
{
    Q_OBJECT

public:
    explicit CMWManualLocate(QWidget *parent = 0);
    ~CMWManualLocate();
    void MFresh();
    void MApply();
    void MInit();
    void MFreshPosVector();
    void MFreshImage(int iIndex);
    void hideEvent(QHideEvent *event);
     void showEvent(QShowEvent*event);
    QIcon icon_off;
    QIcon icon_blue;

    void ThresChange(int iChange);

	virtual void MTimeFresh();

	private slots:
    void on_pushButton_Initial_clicked();

    void on_pushButton_MoveTo_clicked();

    void on_pushButton_Auto_clicked();

    void on_pushButton_Manual_clicked();

    void on_pushButton_CellSet_clicked();

    void on_pushButton_N5_clicked();

	void on_pushButton_N0_clicked();
    void on_pushButton_N1_clicked();

    void on_pushButton_P1_clicked();

    void on_pushButton_P5_clicked();
    void on_tableWidget_clicked(const QModelIndex &index);


    void on_btnMoveCenter_clicked();

    void on_btnMoveACenter_clicked();

    void on_btnMoveBCenter_clicked();

private:
    Ui::CMWManualLocate *ui;
    QVector<BOOL> m_posState;
};

#endif // CMWMANUALLOCATE_H
